php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #26560 outdated Sablotron dependency
Submitted: 2003-12-09 09:40 UTC Modified: 2003-12-09 12:27 UTC
From: morten-bugs dot php dot net at afdelingp dot dk Assigned:
Status: Not a bug Package: Compile Failure
PHP Version: 4.3.4 OS: *
Private report: No CVE-ID: None
 [2003-12-09 09:40 UTC] morten-bugs dot php dot net at afdelingp dot dk
Description:
------------
In php-4.3.4/ext/xslt/config.m4 the Sablotron dependency is on version 0.96, but in php-4.3.4/ext/xslt/sablot.c (line 183) SAB_FILES_TO_HANDLER is used. It was - as far as I can see - introduced in Sablotron 0.97. The build failes with Sablotron 0.96.

The following patch fixes the problem:

--- php-4.3.4-orig/ext/xslt/config.m4   2003-12-09 15:01:20.000000000 +0100
+++ php-4.3.4/ext/xslt/config.m4        2003-12-09 15:24:00.000000000 +0100
@@ -84,15 +84,15 @@
        double version;
        version = atof(SAB_VERSION);
 
-       if (version >= 0.96) {
+       if (version >= 0.97) {
                exit(0);
        }
        exit(255);
 }
     ],[
-      AC_MSG_RESULT([>= 0.96])
+      AC_MSG_RESULT([>= 0.97])
     ],[
-      AC_MSG_ERROR([Sablotron version 0.96 or greater required.])
+      AC_MSG_ERROR([Sablotron version 0.97 or greater required.])
     ])
     CPPFLAGS=$old_CPPFLAGS
 

Best regards,
Morten Poulsen


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-12-09 12:27 UTC] sniper@php.net
You must have mixed header files and libraries of different sablot versions. The SablotGetOptions() was also added in 0.97, and if that is available, so has to be the SAB_FILES_TO_HANDLER option.

 [2003-12-09 12:27 UTC] sniper@php.net
And FYI: The build does not fail for me with 0.96

 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Feb 24 06:01:26 2020 UTC